### Property

# Gtk Application:register-session

deprecated: 4.22

#### Declaration

    property register-session: gboolean [ read, write ]

#### Description [src]

Set this property to true to register with the session manager.

This will make GTK track the session state (such as the `GtkApplication:screensaver-active` property).

Type:`gboolean`

Deprecated since: 4.22

This property is ignored. GTK always registers with the session manager.

Default value | FALSE

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no